OutOfBoundsException
OverflowException
Exceptions
PHP Manual

# La classe OutOfRangeException

(PHP 5 >= 5.1.0)

## Introduction

Exception émise lorsqu'un index illégal est demandé. Elle représente les erreurs qui devraient être détectées au moment de la compilation.

## Synopsis de la classe

OutOfRangeException extends LogicException {
/* Propriétés héritées */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Méthodes héritées */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

OutOfBoundsException
OverflowException
Exceptions
PHP Manual